<?php

class ForumWatch_Route_PrefixAdmin_ForumWatchGroup implements XenForo_Route_Interface
{
	public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router)
	{
		if (in_array($routePath, array('add', 'save')))
		{
			$action = $routePath;
		}
		else
		{
			$action = $router->resolveActionWithIntegerParam($routePath, $request, 'user_group_id');
		}
		return $router->getRouteMatch('ForumWatch_ControllerAdmin_ForumWatchGroup', $action, 'userGroups');
	}

	public function buildLink($originalPrefix, $outputPrefix, $action, $extension, $data, array &$extraParams)
	{
		if (is_array($data))
		{
			$extraParams['forum_id'] = $data['forum_id'];
			return XenForo_Link::buildBasicLinkWithIntegerParam($outputPrefix, $action, $extension, $data, 'user_group_id');
		}
		else
		{
			return XenForo_Link::buildBasicLink($outputPrefix, $action, $extension);
		}
	}

}