<?php

class ForumWatch_Extend_ControllerPublic_Thread extends XFCP_ForumWatch_Extend_ControllerPublic_Thread
{
	public function actionIndex()
	{
		$response = parent::actionIndex();

		if ($response instanceof XenForo_ControllerResponse_View AND !empty($response->params['forum']))
		{
			$response->params['canWatchForum'] = $this->_getForumModel()->canWatchForum($response->params['forum']);
		}

		return $response;
	}

	/**
	 * @return ForumWatch_Model_ForumWatch
	 */
	protected function _getForumWatchModel()
	{
		return $this->getModelFromCache('ForumWatch_Model_ForumWatch');
	}

	protected function _getThreadForumFetchOptions()
	{
		$fetchOptions = parent::_getThreadForumFetchOptions();

		$fetchOptions[1]['ForumWatch_watchUserId'] = XenForo_Visitor::getUserId();

		return $fetchOptions;
	}
}