<?php

class ForumWatch_Extend_DataWriter_Discussion_Thread extends XFCP_ForumWatch_Extend_DataWriter_Discussion_Thread
{
	protected function _postSaveAfterTransaction()
	{
		if ($this->isInsert() && $this->get('discussion_state') == 'visible')
		{
			$thread = $this->getMergedData();
			$post = $this->getFirstMessageDw()->getMergedData();
			$forum = $this->getExtraData(XenForo_DataWriter_Discussion_Thread::DATA_FORUM);

			// notify members watching this forum
			$this->getModelFromCache('ForumWatch_Model_ForumWatch')->sendNotificationToWatchUsersOnNewThread($thread, $forum, $post);
		}
	}
}