<?php

class ForumWatch_Extend_Model_Post extends XFCP_ForumWatch_Extend_Model_Post
{
	protected static $_ForumWatch_getNewestPostsInThreadAfterDateCache = array();

	public function getNewestPostsInThreadAfterDate($threadId, $postDate, array $fetchOptions = array())
	{
		$hash = $this->_ForumWatch_getHash_getNewestPostsInThreadAfterDate($threadId, $postDate);

		self::$_ForumWatch_getNewestPostsInThreadAfterDateCache[$hash] = parent::getNewestPostsInThreadAfterDate($threadId, $postDate, $fetchOptions);

		return self::$_ForumWatch_getNewestPostsInThreadAfterDateCache[$hash];
	}

	public function ForumWatch_getNewestPostsInThreadAfterDate($threadId, $postDate)
	{
		$hash = $this->_ForumWatch_getHash_getNewestPostsInThreadAfterDate($threadId, $postDate);

		if (!isset(self::$_ForumWatch_getNewestPostsInThreadAfterDateCache[$hash]))
		{
			$this->getNewestPostsInThreadAfterDate($threadId, $postDate);
		}

		return self::$_ForumWatch_getNewestPostsInThreadAfterDateCache[$hash];
	}

	protected function _ForumWatch_getHash_getNewestPostsInThreadAfterDate($threadId, $postDate)
	{
		return sprintf('%d%d', intval($threadId), intval($postDate));
	}
}