<?php

class ForumWatch_Extend_Model_User extends XFCP_ForumWatch_Extend_Model_User
{
	protected static $_ForumWatch_getUserByIdCache = array();
	
	public function getUserById($userId, array $fetchOptions = array())
	{
		$intval = intval($userId);
		self::$_ForumWatch_getUserByIdCache[$intval] = parent::getUserById($userId, $fetchOptions);

		return self::$_ForumWatch_getUserByIdCache[$intval];
	}
	
	public function ForumWatch_getUserById($userId)
	{
		$intval = intval($userId);
		
		if (!isset(self::$_ForumWatch_getUserByIdCache[$intval]))
		{
			$this->getUserById($userId);
		}
		
		return self::$_ForumWatch_getUserByIdCache[$intval];
	}
}