<?php

class ForumWatch_NodeHandler_Forum extends XenForo_NodeHandler_Forum
{
	protected $_showAll = false;

	public function renderNodeForTree(XenForo_View $view, array $node, array $permissions, array $renderedChildren, $level)
	{
		return $view->createTemplateObject('forumwatch_list_node_forum', array(
				'level' => $level,
				'forum' => $node,
				'renderedChildren' => $renderedChildren,
				'showAll' => $this->_showAll,
		));
	}

	public function ForumWatch_setShowAllInWatchedList($showAll)
	{
		$this->_showAll = $showAll;
	}

}